SoGLMultiTextureCoordinateElement(3)

NAME
SoGLMultiTextureCoordinateElement - The SoGLMultiTextureCoordinateElement class stores the current gltexture coordinates for several units.

SYNOPSIS

#include <Inventor/elements/SoGLMultiTextureCoordinateElement.h>

Inherits SoMultiTextureCoordinateElement.

  Classes
class GLUnitData

  Public Member Functions
virtual void init (SoState *state)
FIXME: write doc.
virtual void push (SoState *state)
FIXME: write doc.
virtual void pop (SoState *state, const SoElement *prevTopElement)
FIXME: write doc.
virtual CoordType getType (const int unit=0) const
FIXME: write doc.
void send (const int unit, const int index) const
FIXME: write doc.
void send (const int unit, const int index, const SbVec3f &c, const SbVec3f &n) const
FIXME: write doc.
void initRender (const SbBool *enabled, const int maxenabled) const
void send (const int index) const
void send (const int index, const SbVec3f &c, const SbVec3f &n) const
void initMulti (SoState *state) const

  Static Public Member Functions
static SoType getClassTypeId (void)
static int getClassStackIndex (void)
static void * createInstance (void)
static void initClass (void)
static void setTexGen (SoState *const state, SoNode *const node, const int unit, SoTexCoordTexgenCB *const texgenFunc, void *const texgenData=NULL, SoTextureCoordinateFunctionCB *const func=NULL, void *const funcData=NULL)
FIXME: write doc.
static const SoGLMultiTextureCoordinateElement * getInstance (SoState *const state)
FIXME: write doc.
static void setTexGen (SoState *const state, SoNode *const node, SoTexCoordTexgenCB *const texgenFunc, void *const texgenData=NULL, SoTextureCoordinateFunctionCB *const func=NULL, void *const funcData=NULL)

  Protected Member Functions
SoGLMultiTextureCoordinateElement (void)
virtual ~SoGLMultiTextureCoordinateElement ()
virtual void setElt (const int unit, SoTexCoordTexgenCB *func, void *data=NULL)
FIXME: write doc.

  Additional Inherited Members

Detailed Description

The SoGLMultiTextureCoordinateElement class stores the current gltexture coordinates for several units.

Constructor & Destructor Documentation

  SoGLMultiTextureCoordinateElement::SoGLMultiTextureCoordinateElement (void) [protected]
Constructor.

  SoGLMultiTextureCoordinateElement::~SoGLMultiTextureCoordinateElement () [protected], [virtual]
Destructor.

Member Function Documentation

  SoType SoGLMultiTextureCoordinateElement::getClassTypeId (void) [static]
This static method returns the SoType object associated with objects of this class.

  int SoGLMultiTextureCoordinateElement::getClassStackIndex (void) [static]
This static method returns the state stack index for the class.

  void * SoGLMultiTextureCoordinateElement::createInstance (void) [static]
This API member is considered internal to the library, as it is not likely to be of interest to the application programmer.
 Creates a new instance of the class type corresponding to the SoType object.

  void SoGLMultiTextureCoordinateElement::initClass (void) [static]
Initialize relevant common data for all instances, like the type system.

  void SoGLMultiTextureCoordinateElement::init (SoState * state) [virtual]

FIXME: write doc.

Reimplemented from SoMultiTextureCoordinateElement.

  void SoGLMultiTextureCoordinateElement::push (SoState * state) [virtual]

FIXME: write doc.

Reimplemented from SoMultiTextureCoordinateElement.

  void SoGLMultiTextureCoordinateElement::pop (SoState * state, const SoElement * prevTopElement) [virtual]

FIXME: write doc.

Reimplemented from SoElement.

  SoMultiTextureCoordinateElement::CoordType SoGLMultiTextureCoordinateElement::getType (const int unit = 0) const [virtual]

FIXME: write doc.

Reimplemented from SoMultiTextureCoordinateElement.

  void SoGLMultiTextureCoordinateElement::initRender (const SbBool * enabled, const int maxenabled) const
Internal method that is called from SoGLTextureCoordinateBundle to set up optimized rendering.

  void SoGLMultiTextureCoordinateElement::initMulti (SoState * state) const
Called from SoTextureCoordinateBundle to initialize multi texturing.

Author

Generated automatically by Doxygen for Coin from the source code.